Bug 1315248 - [RFE] task export to convert times from UTC to local time zone
[RFE] task export to convert times from UTC to local time zone
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin (Show other bugs)
6.1.6
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
: FutureFeature, Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 06:12 EST by Pavel Moravec
Modified: 2017-08-03 13:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 13:25:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Moravec 2016-03-07 06:12:14 EST
Description of problem:
Currently, task export contains times in UTC. That is a bit confusing when one needs to correlate a task execution time frame (with times in the UTC) with other logs (with times in local timezone). One nas to keep in mind the difference every time and has to convert the times - that is error prone.

Please update task export (or the way how the tasks are written to psql) to provide date&times in local timezone.


Version-Release number of selected component (if applicable):
Sat 6.1.7


How reproducible:
100%


Steps to Reproduce:
1. Have a Satellite in non-UTC timezone
2. Create a task (import manifest, sync a repo, register a contetn host, whatever)
3. Get task export:
foreman-rake foreman_tasks:export_tasks
4. Check in the export when the task was started/finished


Actual results:
4. task export having times in UTC


Expected results:
4. task export to have times in local timezone

Additional info:
Comment 2 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2016-07-26 11:33:32 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Pavel Moravec 2016-09-04 03:19:30 EDT
In Sat6.2:

- foreman tasks (satellite.example.com/foreman_tasks/tasks) have timestamps in local timezone - that's OK
- dynflow tasks (/foreman_tasks/dynflow) have timestamps in UTC - that's not OK
Comment 6 Pavel Moravec 2016-09-04 06:35:50 EDT
/me tried some hack in removing "utc" references in dynflow code but it didnt help


Ivan,
do you have an easy idea why dynflow writes all timestamps in UTC and not in local timezone, like foreman-tasks does?
Comment 7 Ivan Necas 2016-09-05 02:35:32 EDT
Becuase dynflow itself is a low-level tool, that can serve users from different timezones and it itself doesn't need the concept of timezones for the thing it's doing. From implementation point of view, it's more useful to store all the times in UTC, when it comes to scheduling, timeouts etc.
Comment 8 Pavel Moravec 2016-09-05 04:11:01 EDT
(In reply to Ivan Necas from comment #7)
> Becuase dynflow itself is a low-level tool, that can serve users from
> different timezones and it itself doesn't need the concept of timezones for
> the thing it's doing. From implementation point of view, it's more useful to
> store all the times in UTC, when it comes to scheduling, timeouts etc.

It makes sense to _store_ times in UTC. I am asking for _showing_ the times to end users in the timezone of the server.
Comment 9 Bryan Kearney 2017-08-03 13:25:53 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.